Update Cart Line Item
Updates a Cart line item. Updates an existing, single line item quantity and the price of custom items in a cart.
If a modified product or variant needs to be changed or updated, you can remove and re-add the product to the cart with the correct variants using the Delete Cart Line Item and the Add Cart Line Items endpoints. You can also use carts mutations that are part of the GraphQL Storefront API.
Notes
- Substitute your storefront domain for
yourstore.example.com.- The Send a Test Request feature is not currently supported for this endpoint.
- To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the
versionfield in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.
Path parameters
This cartʼs unique ID.
Headers
The MIME type of the response body.
Query parameters
Sub-resources to include in the Cart response, in a comma-separated list.
lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options,lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.
lineItems.physicalItems.stockPosition: Returns backorder and stock availability details for physical items.
lineItems.digitalItems.stockPosition: Returns backorder and stock availability details for digital items. Since digital products cannot be backordered, backorder values are always zero.
Request
Response
Cost of cart’s contents, before applying discounts.
Order based discounted amount only - Coupon discounts and product based discounts are excluded.
Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).